<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>

<body>
  <h1>Puede Conducir?</h1>

  <form name="form" action="" method="GET">
    <label for="nombre">Ingrese Nombre:</label>
    <input type="text" name="nombre" id="nombre" required><br><br>
    <label for="apellido">Ingrese Apellido:</label>
    <input type="text" name="apellidp" id="apellido" required><br><br>
    <label for="edad">Ingrese Edad:</label>
    <input type="number" name="edad" id="edad" required><br><br>
    <label for="licencia">Tiene Licencia?:</label>
    <select id="licencia" required>
      <option value="si">Si</option>
      <option value="no">No</option>
    </select><br><br>
    <label for="fecha">Ingrese fecha</label>
    <input type="date" name="fecha" id="fecha" required>
    <input type="button" name="resultado" id="resultado" value="Enviar">


  </form>

  <script type="text/javascript">
    let nombre;
    let apellido
    let edad
    let licencia;
    let fechaVence = new Date();
    let fechaActual = new Date();
    let comparaFechas;
    let btnResultado = document.getElementById("resultado");
    
    


    btnResultado.addEventListener('click', function () {

      nombre = document.getElementById("nombre").value;
      apellido = document.getElementById("apellido").value;
      edad = parseInt(document.getElementById("edad").value, 10);
      licencia = document.getElementById("licencia").value;    
      fechaVence = document.getElementById("fecha").value,
      fechaVence = new Date(fechaVence);
      fechaActual = fechaActual.toLocaleDateString();
      fechaActual = new Date(fechaActual);
      comparaFechas = fechaVence >= fechaActual;

      if (edad >= 18 && licencia == "si" && comparaFechas ) {
        
        console.log("puede conducir");

      }


    }



    )




  </script>

</body>

</html>